Subject: Re: Assume at least POSIX.1-1988 for fcntl.h

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Nov 2012 18:58:45 +0200

> Date: Sat, 17 Nov 2012 20:41:24 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> On 11/17/2012 07:46 PM, Eli Zaretskii wrote:
> > O_RDWR doesn't need to be defined
> > (it is already defined by a Windows system header)
> 
> OK, sorry, I misunderstood your earlier recommendation (to move
> O_NOCTTY) to also refer to O_RDWR.  If you like, I can easily
> remove the unnecessary definition of O_RDWR in nt/inc/unistd.h.

Thanks, I already did that.

> > Looks like I invested all that effort in vain
> 
> I don't see why here, either.  Neither of these appear to be problems
> that would break a build or cause Emacs to misbehave.  And even if they
> were, any fixes would be trivial.

I tried for once to make this commit clean, not requiring any fixes at
all.  I hope in the future, if you decide to do things that affect the
w32 build differently than what I suggest, we could discuss this
first, especially if I already invested some effort into making the
changes as clean as possible for Windows.  TIA.